Name:           lugaru
Version:        1.1
Release:        %mkrel 1
Summary:        Ninja rabbit fighting game
Group:          Games/Arcade
License:        GPLv2+ and CC-BY-SA
URL:            https://osslugaru.gitlab.io
# From https://gitlab.com/osslugaru/lugaru/tags/1.1
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  jpeg-devel
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

Requires:       %{name}-data >= %{version}

%description
Lugaru (pronounced Loo-GAH-roo) is a cross-platform third-person action game.
The main character, Turner, is an anthropomorphic rebel bunny rabbit with
impressive combat skills. In his quest to find those responsible for
slaughtering his village, he uncovers a far-reaching conspiracy involving the
corrupt leaders of the rabbit republic and the starving wolves from a nearby
den. Turner takes it upon himself to fight against their plot and save his
fellow rabbits from slavery.

%package data
Summary:        Arch-independent data files for the Lugaru game
BuildArch:      noarch

%description data
This package contains arch-independent data files for the game Lugaru.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
  -DSYSTEM_INSTALL=ON \
  -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
  -DCMAKE_INSTALL_DATADIR=%{_gamesdatadir}

%make_build

%install
%make_install -C build

# We handle docs and license files manually
rm -rf %{buildroot}%{_docdir}

%files
%doc Docs/* AUTHORS README.md RELEASE-NOTES.md
%license CONTENT-LICENSE.txt COPYING.txt
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

%files data
%{_gamesdatadir}/%{name}/


%changelog
* Sun Dec 18 2016 akien <akien> 1.1-1.mga5
+ Revision: 1075929
- Backport lugaru from current cauldron

* Wed Dec 14 2016 akien <akien> 1.1-1.mga6
+ Revision: 1075166
- imported package lugaru

